
function hchartsTab(data,id,isno){  
	var arr = [];
    if(arr.length == 0){
        arr.push(data[0]);
    }

    for(var i=1; i<data.length; i++){
        var index = 1
         for(var k=0; k<arr.length; k++){
            if(arr[k].name == data[i].name){
                arr[k].rate = (data[i].y * data[i].rate + arr[k].y * arr[k].rate)/((data[i].y + arr[k].y));
                arr[k].y = data[i].y + arr[k].y;
                index = 0;
                break;
            }
            index =1;
        }
        
        if(index == 1){
            arr.push(data[i]);
        }
    }

    arr.sort(function(a,b){
        return b.y - a.y;
    });

    $(id).highcharts({
        
        title: {
            text: '',
        },


        tooltip: {
        	style : {
        		color:'#666',
        		backgroundColor : '#fff'
        	},
        	headerFormat : '',
    	    pointFormat: function(){
    	    	return '{point.name} {point.percentage:.1f}% <br>{point.top} <br> {point.type} <br>{point.time}<br> {point.rate:.1f}%';  
    	    }()
        },

        colors : ['#0682c7','#1eade2','#00c0dd','#6fd0ed','#9460ab','#b890c4','#a698d3','#a499d1','#cdb8db','#ec549e','#f66faa','#de82b5','#f1d5e3','#f7d152','#fbe18d'],

        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                borderWidth: null,
                dataLabels: {
                    enabled: isno,
                    style : {
                    	fontFamily : "Microsoft Yahei"
                    },
                    formatter: function() {
                        return this.point.name + " " +this.point.percentage.toFixed(2)+"%";
                    }
                }
            }
        },
        
        credits: {
		    enabled: false
		},

        series: [{
            type: 'pie',
            name: '',
            innerSize : '50%',
            
            data: arr,

            events : {
            	click : function(params){
            		if(params.point.url == "" || params.point.url == null){
			   			return;
			   		} else {
			   			window.open(params.point.url,"_blank");
			   		}
            	}
            }
        }]
    });
};  

