if (!$CONFIG) {
  var $CONFIG = {};
  $CONFIG['sys_domain'] = 'wdzj.com';
}

var tong_protocol = 'http:' == document.location.protocol ? 'http:' : 'https:';

//推广账号
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement('script');
  hm.src = tong_protocol + '//hm.baidu.com/hm.js?9e837711961994d9830dcd3f4b45f0b3';
  var s = document.getElementsByTagName('script')[0];
  s.parentNode.insertBefore(hm, s);
})();

var growing = getByClass(document, 'growingIOTag');

// piwik
var _paq = _paq || [];

_paq.push(['setCookieDomain', '*.' + $CONFIG['sys_domain']]);
_paq.push(['setDocumentTitle', document.domain + '/' + document.title]);

(function() {
  var ua = navigator.userAgent;
  var wdzj = /wdzj/.test(ua);
  var ios = /(iPhone|iPad|iPod|iOS)/.test(ua);
  var android = /Android/.test(ua);
  var isMobile = ios || android;

  var isMatchAB = isMatchABTestUrl();
  var abTestInx = readMatchCookie('ABTEST_INX');

  var os = {};
  os.wdzj = wdzj;
  os.ios = ios;
  os.android = android;
  os.mobile = ios || android;
  os.isMatchAB = isMatchAB;
  os.abTestInx = abTestInx;

  window.tong_os = os;
})();

// 区分 wap 和 app
(function() {
  var appversion = readCookie('appversion') || 0;
  if (tong_os.mobile) {
    if (appversion) {
      _paq.push(['setCustomVariable', 4, 'isapp', appversion]);
    } else {
      _paq.push(['setCustomVariable', 4, 'iswap', 1]);
    }
  }
})();

if (tong_os.isMatchAB && tong_os.abTestInx) {
  _paq.push(['setCustomVariable', 2, 'tv', tong_os.abTestInx, 'page']);
}

_paq.push(['setCustomVariable', 5, 'uid', getCookieUid() || 0, 'page']);
_paq.push(['setCustomVariable', 3, 'www', growing.length > 0 ? growing[0].value : '', 'page']);
_paq.push(['trackPageView']);
_paq.push(['enableLinkTracking']);

(function() {
  var u = tong_protocol + '//piwik.' + $CONFIG['sys_domain'] + '/';
  _paq.push(['setTrackerUrl', u + 'piwik.php']);
  _paq.push(['setSiteId', 1]);
  var d = document,
    g = d.createElement('script'),
    s = d.getElementsByTagName('script')[0];
  g.type = 'text/javascript';
  g.async = true;
  g.defer = true;
  g.src = u + 'piwik.js';
  s.parentNode.insertBefore(g, s);
})();

function getCookieUid() {
  var arr,
    reg = new RegExp('(^| )uid=([^;]*)(;|$)');
  if ((arr = document.cookie.match(reg))) return unescape(arr[2]);
  else return null;
}

function getByClass(oParent, sClass) {
  if (document.getElementsByClassName) {
    return oParent.getElementsByClassName(sClass);
  } else {
    var aEle = oParent.getElementsByTagName('*');
    var aResult = [];
    var reg = new RegExp('\\b' + sClass + '\\b', 'i');
    for (i = 0; i < aEle.length; i++) {
      if (reg.test(aEle[i].className)) {
        aResult.push(aEle[i]);
      }
    }
    return aResult;
  }
}

var growingPageGroup = getByClass(document, 'growingIOPageGroup');

//growingio统计
var _vds = _vds || [];
window._vds = _vds;
var growingIo_accountid = '1931ea22324b4036a653ff1d3a0b4693';
if (tong_os.mobile) {
  growingIo_accountid = '063999eef6c9452d83310f9a683a8ca8';
}
var growingIo_uid = getCookieUid();
//alert(growingIo_accountid)
(function() {
  _vds.push(['setAccountId', growingIo_accountid]);

  //过滤爬虫数据
  //_vds.push(['trackBot', false]);

  if (growingPageGroup.length > 0 && growing.length > 0) {
    _vds.push(['setPageGroup', growingPageGroup[0].value]);
    for (var i = 0; i < growing.length; i++) {
      var name = growing[i].getAttribute('name');
      var value = growing[i].value;
      if (name) {
        _vds.push([name, value]);
      }
    }
  }

  if (growingIo_uid) {
    _vds.push(['setCS1', 'user_id', growingIo_uid]);
  }

  var piwikId = getPiwikId();
  if (piwikId) {
    _vds.push(['setCS2', 'piwikid', piwikId]);
  }

  if (tong_os.isMatchAB && tong_os.abTestInx) {
    _vds.push(['setCS3', 'tv', tong_os.abTestInx]);
  }

  loadScript(tong_protocol + '//dn-growing.qbox.me/vds.js', reportABTrack);
})();

loadScript(tong_protocol + '//static.wdzj.com/pc/common/wdzj-ggao.js?v=20180530', reportABTrack);

function reportABTrack() {
  if (window.$wdzj_ab) {
    window.$wdzj_ab.reportTrack();
  }
}

function loadScript(src, callback) {
  var firstScriptElement = document.getElementsByTagName('script')[0];
  var scriptElement = document.createElement('script');
  scriptElement.type = 'text/javascript';
  scriptElement.async = true;
  scriptElement.src = src;

  var ieLoadBugFix = function(scriptElement, callback) {
    if (scriptElement.readyState == 'loaded' || scriptElement.readyState == 'complete') {
      callback();
    } else {
      setTimeout(function() {
        ieLoadBugFix(scriptElement, callback);
      }, 100);
    }
  };

  if (typeof callback === 'function') {
    if (typeof scriptElement.addEventListener !== 'undefined') {
      scriptElement.addEventListener('load', callback, false);
    } else {
      scriptElement.onreadystatechange = function() {
        scriptElement.onreadystatechange = null;
        ieLoadBugFix(scriptElement, callback);
      };
    }
  }
  firstScriptElement.parentNode.insertBefore(scriptElement, firstScriptElement);
}

function readCookie(name) {
  var nameEQ = name + '=';
  var ca = document.cookie.split(';');
  for (var i = 0; i < ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') c = c.substring(1, c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
  }
  return null;
}

//获取匹配的cookie
function readMatchCookie(name) {
  var nameEQ = name;
  var ca = document.cookie.split(';');
  for (var i = 0; i < ca.length; i++) {
    var ck = ca[i].split('=');
    var c = ck[0];
    var value = ck[1];
    while (c.charAt(0) == ' ') c = c.substring(1, c.length);
    if (c.indexOf(nameEQ) > -1) return value;
  }
  return null;
}

function isMatchABTestUrl() {
  var abTestUrl = readMatchCookie('ABTEST_URL');
  var pageUrl = window.location.host + window.location.pathname;
  if (pageUrl && pageUrl[pageUrl.length - 1] == '/') {
    pageUrl = pageUrl.substring(0, pageUrl.length - 1);
  }
  if (abTestUrl && abTestUrl[abTestUrl.length - 1] == '/') {
    abTestUrl = abTestUrl.substring(0, abTestUrl.length - 1);
  }
  if (abTestUrl && pageUrl == abTestUrl) {
    return true;
  }

  return false;
}

//获取PiwikId
function getPiwikId() {
  var piwikId = readMatchCookie('_pk_id');
  if (piwikId && piwikId.indexOf('.') > -1) {
    var len = piwikId.indexOf('.');
    piwikId = piwikId.substr(0, len);
  }
  return piwikId;
}
